Uploaded image for project: 'eZ Publish / Platform'
  1. eZ Publish / Platform
  2. EZP-21727

Documentation: Fix 4.X requirements page for PHP Version

    Details

      Description

      eZ Publish requirements page points PHP 5.3.x, or PHP 5.2.1 -> PHP 5.2.17 as requirements for supported and approved platforms.

      On the other hand, Requirements for doing a normal installation page brings the following information:

      Note that it is strongly recommended to use the latest version of the 5.x branch, which is PHP 5.2.17 at the time of writing. The reason for this is that eZ Publish runs faster on PHP 5.2 than on PHP 5.1. In addition, some extensions may require PHP 5.2

      The latest PHP version so far is PHP 5.5.4.
      eZ Publish already has incompatibilities at PHP 5.4 (See EZP-18259).

      The Requirements for doing a normal installation page should be updated to remove the information about being "strongly recommended to use the latest version of the 5.x branch".

        Activity

        Hide
        Jérôme Vieilledent (Inactive) added a comment -

        eZ Publish already has incompatibilities at PHP 5.4

        This is not true for 4.7 (which is the doc page you point out). The issue you mention has been fixed in 4.7 / 2012.1

        Show
        Jérôme Vieilledent (Inactive) added a comment - eZ Publish already has incompatibilities at PHP 5.4 This is not true for 4.7 (which is the doc page you point out). The issue you mention has been fixed in 4.7 / 2012.1
        Hide
        Eduardo Fernandes (Inactive) added a comment - - edited

        @Jérôme,

        For this bug is, but can we say for sure eZ as a whole is fully compatible with PHP 5.4?

        Show
        Eduardo Fernandes (Inactive) added a comment - - edited @Jérôme, For this bug is, but can we say for sure eZ as a whole is fully compatible with PHP 5.4?
        Hide
        Jérôme Vieilledent (Inactive) added a comment -

        eZ Publish is fully compatible with PHP 5.4 as of version 4.7.
        Starting from 5.2, it also works smoothly with PHP 5.5.

        Show
        Jérôme Vieilledent (Inactive) added a comment - eZ Publish is fully compatible with PHP 5.4 as of version 4.7 . Starting from 5.2, it also works smoothly with PHP 5.5.
        Show
        Ricardo Correia (Inactive) added a comment - The following documents have been updated in order to specify the correct PHP versions for each eZ Publish version: https://confluence.ez.no/display/EZP/Requirements https://confluence.ez.no/display/EZP51/Requirements https://confluence.ez.no/display/EZP50/Requirements http://doc.ez.no/eZ-Publish/Technical-manual/4.7/Installation/Requirements http://doc.ez.no/eZ-Publish/Technical-manual/4.6/Installation/Requirements-4.6 http://doc.ez.no/eZ-Publish/Technical-manual/4.5/Installation/Requirements-4.5 http://doc.ez.no/eZ-Publish/Technical-manual/4.4/Installation/Requirements-4.4 http://doc.ez.no/eZ-Publish/Technical-manual/4.7/Installation/Normal-installation/Requirements-for-doing-a-normal-installation http://doc.ez.no/eZ-Publish/Technical-manual/4.6/Installation/Normal-installation/Requirements-for-doing-a-normal-installation http://doc.ez.no/eZ-Publish/Technical-manual/4.5/Installation/Normal-installation/Requirements-for-doing-a-normal-installation http://doc.ez.no/eZ-Publish/Technical-manual/4.4/Installation/Normal-installation/Requirements-for-doing-a-normal-installation http://doc.ez.no/eZ-Publish/Technical-manual/4.3/Installation/Normal-installation/Requirements-for-doing-a-normal-installation http://doc.ez.no/eZ-Publish/Technical-manual/4.x/Installation/Normal-installation/Requirements-for-doing-a-normal-installation
        Hide
        Filipe Dobreira (Inactive) added a comment -

        QA Approved.

        Show
        Filipe Dobreira (Inactive) added a comment - QA Approved.

          People

          • Assignee:
            Unassigned
            Reporter:
            Eduardo Fernandes (Inactive)
          • Votes:
            0 Vote for this issue
            Watchers:
            5 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Time Tracking

              Estimated:
              Original Estimate - Not Specified
              Not Specified
              Remaining:
              Remaining Estimate - 0 minutes
              0m
              Logged:
              Time Spent - 4 hours
              4h